Skip to main content
PATCH
/
applications
/
{id}
/
stage
Move application to stage
curl --request PATCH \
  --url https://hireloam.com/api/v1/applications/{id}/stage \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "stage_id": "660e8400-e29b-41d4-a716-446655440001"
}
'
import requests

url = "https://hireloam.com/api/v1/applications/{id}/stage"

payload = { "stage_id": "660e8400-e29b-41d4-a716-446655440001" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({stage_id: '660e8400-e29b-41d4-a716-446655440001'})
};

fetch('https://hireloam.com/api/v1/applications/{id}/stage', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "application": {
    "id": "<string>",
    "stage": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "order_index": 123
    }
  }
}
{
  "error": {
    "code": "invalid_request",
    "message": "job_id is required"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid or missing API key"
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Missing required scope: write"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Application not found"
  }
}
{
  "error": {
    "code": "internal_error",
    "message": "An internal error occurred"
  }
}

Authorizations

Authorization
string
header
required

API key from Settings > API Keys

Path Parameters

id
string<uuid>
required

The application ID

Body

application/json
stage_id
string<uuid>
required

The target stage ID

Response

Application moved

application
object